/*
 * GUI actions module header
 *
 * Programmed by INOUE Seiichiro <inoue@ainet.or.jp>
 */


#ifndef _GDIFF_ACTIONS_H_
#define _GDIFF_ACTIONS_H_

#ifdef __cplusplus 
extern "C" {
#endif /* __cplusplus */

/* Global function declarations */
extern void act_mode_change(GDiffFileViews *gfviews, PaneMode mode);
extern void act_line_num_show(GDiffFileViews *gfviews, gboolean to_show);
extern void act_go_dirview(GDiffFileViews *gfviews);
extern void act_toggle_text_wrap(GDiffFileViews *gfviews, gboolean to_wrap);
extern void act_edit_file(GDiffFileViews *gfviews, const char *filename);

#ifdef __cplusplus
} 
#endif /* __cplusplus */
 
#endif /* __GDIFF_ACTIONS_H__ */
